aboutsummaryrefslogtreecommitdiffstats
path: root/make-macosx-ub.sh
diff options
context:
space:
mode:
authortjw <tjw@edf5b092-35ff-0310-97b2-ce42778d08ea>2006-08-02 05:12:20 +0000
committertjw <tjw@edf5b092-35ff-0310-97b2-ce42778d08ea>2006-08-02 05:12:20 +0000
commiteca4dc8aae61005b39d73eef9a63d7f17b5ce811 (patch)
tree4947308d9fb124966c3261c1c7e3acd00cfaab20 /make-macosx-ub.sh
parent3b416e75cf3a6c81d4dd1d83418a3b42d739f72f (diff)
downloadioquake3-aero-eca4dc8aae61005b39d73eef9a63d7f17b5ce811.tar.gz
ioquake3-aero-eca4dc8aae61005b39d73eef9a63d7f17b5ce811.zip
bug 2723
* ARCH should be i386 instead of x86 for Mac OS X too git-svn-id: svn://svn.icculus.org/quake3/trunk@831 edf5b092-35ff-0310-97b2-ce42778d08ea
Diffstat (limited to 'make-macosx-ub.sh')
-rwxr-xr-xmake-macosx-ub.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/make-macosx-ub.sh b/make-macosx-ub.sh
index 11e023d..7cbcc64 100755
--- a/make-macosx-ub.sh
+++ b/make-macosx-ub.sh
@@ -6,23 +6,23 @@ MPACKDIR=missionpack
BIN_OBJ="
build/release-darwin-ppc/ioquake3.ppc
- build/release-darwin-x86/ioquake3.x86
+ build/release-darwin-i386/ioquake3.i386
"
BASE_OBJ="
build/release-darwin-ppc/$BASEDIR/cgameppc.dylib
- build/release-darwin-x86/$BASEDIR/cgamex86.dylib
+ build/release-darwin-i386/$BASEDIR/cgamei386.dylib
build/release-darwin-ppc/$BASEDIR/uippc.dylib
- build/release-darwin-x86/$BASEDIR/uix86.dylib
+ build/release-darwin-i386/$BASEDIR/uii386.dylib
build/release-darwin-ppc/$BASEDIR/qagameppc.dylib
- build/release-darwin-x86/$BASEDIR/qagamex86.dylib
+ build/release-darwin-i386/$BASEDIR/qagamei386.dylib
"
MPACK_OBJ="
build/release-darwin-ppc/$MPACKDIR/cgameppc.dylib
- build/release-darwin-x86/$MPACKDIR/cgamex86.dylib
+ build/release-darwin-i386/$MPACKDIR/cgamei386.dylib
build/release-darwin-ppc/$MPACKDIR/uippc.dylib
- build/release-darwin-x86/$MPACKDIR/uix86.dylib
+ build/release-darwin-i386/$MPACKDIR/uii386.dylib
build/release-darwin-ppc/$MPACKDIR/qagameppc.dylib
- build/release-darwin-x86/$MPACKDIR/qagamex86.dylib
+ build/release-darwin-i386/$MPACKDIR/qagamei386.dylib
"
if [ ! -f Makefile ]; then
echo "This script must be run from the ioquake3 build directory";
@@ -42,7 +42,7 @@ The installer for this SDK is included with XCode 2.2 or newer"
exit 1;
fi
-(BUILD_MACOSX_UB=ppc make && BUILD_MACOSX_UB=x86 make) || exit 1;
+(BUILD_MACOSX_UB=ppc make && BUILD_MACOSX_UB=i386 make) || exit 1;
if [ ! -d $DESTDIR ]; then
mkdir $DESTDIR || exit 1;